using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Trains
{
    /// <summary>
    /// 培训记录详情
    /// </summary>
    [Description("培训记录详情")]
    public class ExamTrainRecordItem:ExamBusinessEntity
    {
        /// <summary>
        /// 培训记录Id
        /// </summary>
        [SugarColumn(ColumnDescription = "培训记录Id")]
        [Description("培训记录Id")]
        public string TrainRecordId { get; set; }

        /// <summary>
        /// 培训知识Id
        /// </summary>
        [SugarColumn(ColumnDescription = "培训知识Id")]
        [Description("培训知识Id")]
        public string TrainKnowladgeId { get; set; }

        /// <summary>
        /// 是否完成学习
        /// </summary>
        [SugarColumn(ColumnDescription = "是否完成学习")]
        [Description("是否完成学习")]
        public bool IsComplete { get; set; }
    }
}
